<?php

include 'inclydings/gzips.php';
include 'mysql.php';
include_once("inclydings/zag.php");
include_once("inclydings/check2.php");
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");

if (isset($user)) {
switch($go) {

default:

echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Я смотрю ты Гном?<br/>
Очень хорошо я тебе могу помочь с очень редкими вещами<br/>
Выберить грейд для крафта:<br/><br/>
<a href=\"kraft.php?$sd&go=bys84\"> Скрафтить S84 грейд</a><br/>
<a href=\"kraft.php?$sd&go=bys\">Скрафтить S грейд</a><br/>
<a href=\"kraft.php?$sd&go=bya\">Скрафтить A грейд</a><br/>
<a href=\"kraft.php?$sd&go=byb\"> Скрафтить В грейд</a><br/>
<a href=\"kraft.php?$sd&go=byc\">Скрафтить С грейд</a><br/>
<a href=\"kraft.php?$sd&go=byd\">Скрафтить D грейд</a><br/><br/>";

break;
case 'bys84':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить вещи S84 грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=bys84weapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=bys84body\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=bys84golova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=bys84ryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=bys84nogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=byss84hit\">Купить щит</a><br/>";

break;
case 'bys':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить вещи S грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=bysweapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=bysbody\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=bysgolova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=bysryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=bysnogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=bysshit\">Купить щит</a><br/>";
break;
case 'bya':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить вещи A грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=byaweapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=byabody\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=byagolova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=byaryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=byanogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=byashit\">Купить щит</a><br/>";

break;
case 'byb':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить вещи B грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=bybweapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=bybbody\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=bybgolova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=bybryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=bybnogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=bybshit\">Купить щит</a><br/>";
break;
case 'byc':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить вещи C грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=bycweapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=bycbody\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=bycgolova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=bycryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=bycnogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=bycshit\">Купить щит</a><br/>";
break;
case 'byd':
echo"<b>Мастер крафта</b><br/>
Здравствуй $log!<br/>
Ты сейчас находишся в гномов .Здесь ты можеш скрафтить D грейда которых нет в магазине.<br/>
<a href=\"kraft.php?$sd&go=bydweapon\">Купить оружые</a><br/>
<a href=\"kraft.php?$sd&go=bydbody\">Купить робу</a><br/>
<a href=\"kraft.php?$sd&go=bydgolova\">Купить шлем</a><br/>
<a href=\"kraft.php?$sd&go=bydryki\">Купить перчатки</a><br/>
<a href=\"kraft.php?$sd&go=bydnogi\">Купить сапоги</a><br/>
<a href=\"kraft.php?$sd&go=bydshit\">Купить щит</a><br/>";



break;
case 'byshlem':
echo"<b>GM-Shop</b><br/>
Ты выбрал шлем, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=pokshlem\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'pokshlem':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Helm of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="3500:||:1:||:golova:||:S:||:Helm of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
break;
case 'bybody':
echo"<b>GM-Shop</b><br/>
Ты выбрал робу, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=pokbody\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'pokbody':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Tonic of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="3500:||:1:||:body:||:S:||:Tonic of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
break;
case 'bynogi':
echo"<b>GM-Shop</b><br/>
Ты выбрал сапоги, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=poknogi\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'poknogi':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Boots of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="3500:||:1:||:nogi:||:S:||:Boots of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
break;
case 'byweapon':
echo"<b>GM-Shop</b><br/>
Ты выбрал оружые, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=pokweapon\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'pokweapon':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Bow of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="5000:||:1:||:weapon:||:S:||:Bow of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
break;
case 'byryki':
echo"<b>GM-Shop</b><br/>
Ты выбрал перчатки, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=pokryki\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'pokryki':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Gloves of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="3500:||:1:||:ryki:||:S:||:Gloves of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
break;
case 'byshit':
echo"<b>GM-Shop</b><br/>
Ты выбрал щыт, чтобы его получить принеси мне 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>
<a href=\"gmshop.php?$sd&go=pokshit\">Купить</a><br/>";
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];

}
}

if(empty($_GLOBAL[thread])){ $_GLOBAL[thread]=0; }
if(empty($_GLOBAL[suede])){ $_GLOBAL[suede]=0; }
if(empty($_GLOBAL[coinofluck])){ $_GLOBAL[coinofluck]=0; }

echo"<br/><b>У вас:</b><br/>
Thread: $_GLOBAL[thread]<br/>
CoinOfLuck: $_GLOBAL[coinofluck]<br/>
Suede: $_GLOBAL[suede]<br/>";
echo"<b>Осталось собрать:</b><br/>
Thread: ".round(8000-$_GLOBAL[thread])."<br/>
CoinOfLuck: ".round(3000-$_GLOBAL[coinofluck])."<br/>
Suede: ".round(5000-$_GLOBAL[suede])."";

///////////////////////////////////

break;
case 'pokshit':
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Thread"){
$_GLOBAL[thread]=$data[3];
}
if($data[4]=="CoinOfLuck"){
$_GLOBAL[coinofluck]=$data[3];
}
if($data[4]=="Suede"){
$_GLOBAL[suede]=$data[3];
}
}


echo"<b>GM-Shop</b><br/>
<b>$log!</b><br/>
Меня предупреждали что ты придешь, и сказали что ты мне должен принести 8000 Thread и 5000 Suede и 3000 CoinOfLuck.<br/>";

if($_GLOBAL[thread]>="8000" && $_GLOBAL[coinofluck]>="3000" &&  $_GLOBAL[suede]>="5000"){
echo"Спасибо! Ты принес мне вещи. Я тебе даю Sheld of Epick.";

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Thread"){

$kol=$_GLOBAL[thread]-8000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="CoinOfLuck"){

$kol=$_GLOBAL[coinofluck]-3000;

if($kol=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



}else{



$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}
}

$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Suede"){

$kol2=$_GLOBAL[suede]-5000;

if($kol2=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}else{

$text1="$data[0]:||:$data[1]:||:$data[2]:||:$kol2:||:$data[4]:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text1\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
}

}}

$text2="3500:||:1:||:4it:||:S:||:Sheld of Epick";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text2\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

}else{echo"Ты еще не собрал нужное количество вещей.";}

echo"<br/>Я надеюсь ты понял о чом я.";
}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"inclydings/down.php";
php?>
